{ jIDEE : Java IDE for Education

  Copyright (C) 2010 Mithat Konar mkonar@dogus.edu.tr

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 3 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA.
}

unit UPreferencesForm_Win;
{ This file should be included only by compiles targeting Windows.
  This can be set in jidee.lpr. }

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ButtonPanel, EditBtn, StdCtrls, ExtCtrls;

type

  { TPreferencesForm }

  TPreferencesForm = class(TForm)
    ButtonPanel1: TButtonPanel;
    editor_label: TLabel;
    filemanager_label: TLabel;
    editorpath_label: TLabel;
    editorpath_filenameedit: TFileNameEdit;
    prefcmds_groupbox: TGroupBox;
    main_panel: TPanel;
    jdkpath_directoryedit: TDirectoryEdit;
    JDKpath_groupbox: TGroupBox;
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    function IsJDKPathValid() : Boolean;
    function IsEditorValid() : Boolean;
  end; 

var
  PreferencesForm: TPreferencesForm;

implementation

{ TPreferencesForm }

procedure TPreferencesForm.FormCreate(Sender: TObject);
begin
  { set DialogTitle is here because of the LineEndings }
  self.jdkpath_directoryedit.DialogTitle:='Select path to the Java JDK directory.'+LineEnding+'Example: C:\Program Files\Java\jdk1.6.0_xx';
end;

function TPreferencesForm.IsJDKPathValid() : Boolean;
begin
  result:=FileExistsUTF8(self.jdkpath_directoryedit.Directory+'\bin\javac.exe')
end;

function TPreferencesForm.IsEditorValid() : Boolean;
begin
  result:=FileExistsUTF8(self.editorpath_filenameedit.FileName)  OR
          ( CompareStr('notepad',self.editorpath_filenameedit.FileName) = 0);
end;

initialization
  {$I upreferencesform_win.lrs}

end.

